Announcement

Collapse
No announcement yet.

Upgrade errors

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrade errors

    Hi!

    I'm trying to upgrade to 3.8.9 but receive these errors. Does anyone know what to do?


    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'templatesetid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S21/1060): Duplicate column name 'unserialize' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'type' in 'field list' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S21/1060): Duplicate column name 'phrasegroup_accessmask' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S21/1060): Duplicate column name 'phrasegroup_holiday' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: mysqli_query() [function.mysqli-query]: (42S22/1054): Unknown column 'phrasetypeid' in 'where clause' in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php on line 1185

    Warning: Cannot modify header information - headers already sent by (output started at /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/class_core.php:1185) in /var/www/vhosts/emigrerenforum.nl/httpdocs/includes/functions.php on line 3140




  • #2
    Looks like you missed running the upgrade.php script. You should point your browser to yourdomain.com/install/upgrade.php.
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud customization and demonstration site.
    vBulletin 5 Documentation - Updated every Friday. Report issues here.
    vBulletin 5 API - Full / Mobile
    I am not currently available for vB Messenger Chats.

    Comment


    • #3
      That's what I did. I get these errors when I go to /install/upgrade.php

      Comment


      • #4
        What version are you upgrading from?
        Translations provided by Google.

        Wayne Luke
        The Rabid Badger - a vBulletin Cloud customization and demonstration site.
        vBulletin 5 Documentation - Updated every Friday. Report issues here.
        vBulletin 5 API - Full / Mobile
        I am not currently available for vB Messenger Chats.

        Comment


        • #5
          From 3.8.1 to 3.8.9

          Comment


          • #6
            Any idea?

            Comment


            • #8
              The templatesetid field was added in 3.0.0 Beta 1.

              Several upgrades deal with an unserialize field. However, the last upgrade step that deals with that is in 3.6.0 Beta 1

              type is too ambiguous. It appears in almost every upgrade step through 3.8.0 RC2

              Each error is like this. Are you sure you're trying to upgrade a 3.8.1 database? Was the database damaged? Is it an incomplete copy?
              Translations provided by Google.

              Wayne Luke
              The Rabid Badger - a vBulletin Cloud customization and demonstration site.
              vBulletin 5 Documentation - Updated every Friday. Report issues here.
              vBulletin 5 API - Full / Mobile
              I am not currently available for vB Messenger Chats.

              Comment


              • #9
                Originally posted by Trevor Hannant View Post
                What step are you getting those or is it as soon as you hit the 'Begin Upgrade' button?
                I get the errors as soon as I go to install/upgrade.php

                Pretty sure it is a 3.8.1 database; it says so when I go to the website itself. The website still works ok. Don't recall that the database was damaged or that it is an incompletely copy...

                Comment


                • #10
                  If you look in your includes directory is there a file called version_vbulletin.php? Does the version stay the same if you delete this file from the server?
                  Translations provided by Google.

                  Wayne Luke
                  The Rabid Badger - a vBulletin Cloud customization and demonstration site.
                  vBulletin 5 Documentation - Updated every Friday. Report issues here.
                  vBulletin 5 API - Full / Mobile
                  I am not currently available for vB Messenger Chats.

                  Comment


                  • #11
                    When I delete the file it still says 3.8.1.

                    Comment


                    • #12
                      In the 'upgradelog' table in your database, what is the 'script' and 'steptitle' values for the highest numbered record there?
                      Vote for:

                      - *Admin Settable Paid Subscription Reminder Timeframe*
                      -
                      *PM - Add ability to reply to originator only*
                      - Add Admin ability to auto-subscribe users to specific channel(s)
                      - Highlight the correct navigation tab when you are on a custom page
                      - "Quick Route" Interface...
                      - Allow to use custom icons for individual forums

                      Comment


                      • #13
                        You mean this one?

                        Comment


                        • #14
                          Yes - but the highest value. If you either go to the end or click on 'upgradelogid' to re-sort the order descending, you'll see what the highest value is
                          Vote for:

                          - *Admin Settable Paid Subscription Reminder Timeframe*
                          -
                          *PM - Add ability to reply to originator only*
                          - Add Admin ability to auto-subscribe users to specific channel(s)
                          - Highlight the correct navigation tab when you are on a custom page
                          - "Quick Route" Interface...
                          - Allow to use custom icons for individual forums

                          Comment


                          • #15
                            All data was in the screen :-) So 25 is the highest value...

                            What to do?

                            Comment

                            Working...
                            X